Page MenuHomePhabricator

LLDP package needs to be rebuild
Closed, WontfixPublicBUG

Description

After installation of "stable" release 1.1.8,

mick@vyos# configure
mick@vyos#  set service lldp interface all
mick@vyos#  set service lldp management-address 192.168.1.1
mick@vyos# commit
[ service lldp ]
Starting lldpd...
/usr/sbin/lldpd: error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory

And process doesn't start. Looks like lldpd is built against openssl-0.9.8, but system has only 1.0.2

Workaround:

cd /usr/lib
sudo ln -s libssl.so.1.0.2 libssl.so.0.9.8 
sudo ln -s libcrypto.so.1.0.2 libcrypto.so.0.9.8 
sudo /usr/sbin/lldpd

Fix should be straight-forward - rebuild package with fresh openssl and puvlish updated package and images.

Details

Difficulty level
Easy (less than an hour)
Version
1.1.8
Why the issue appeared?
Will be filled on close

Event Timeline

mickvav created this task.May 4 2018, 12:55 PM
pasik added a subscriber: pasik.May 15 2018, 9:55 PM
syncer triaged this task as Low priority.May 27 2018, 9:54 AM
syncer closed this task as Wontfix.Oct 13 2018, 9:12 AM
syncer claimed this task.
syncer added a subscriber: syncer.

dropping 1.1.x

syncer edited projects, added Rejected; removed VyOS 1.1.x.Oct 15 2018, 6:30 AM